org.apache.ignite.internal.processors.cache.distributed.dht

## Class GridDhtTxFinishResponse

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheMessage
  - - org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse
    - - org.apache.ignite.internal.processors.cache.distributed.dht.GridDhtTxFinishResponse

All Implemented Interfaces:
  Serializable, Message

    public class GridDhtTxFinishResponse
    extends GridDistributedTxFinishResponse

DHT transaction finish response.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`CACHE_MSG_INDEX_FIELD_NAME, cacheId, MAX_CACHE_MSG_LOOKUP_INDEX`

### Constructor Summary

Constructors
Constructor and Description
`GridDhtTxFinishResponse()` Empty constructor required by `Externalizable`.
`GridDhtTxFinishResponse(GridCacheVersion xid, IgniteUuid futId, IgniteUuid miniId)`

### Method Summary

Methods
`byte` `directType()` Gets message type.
`byte` `fieldsCount()` Gets fields count.
`IgniteUuid` `miniId()`
`boolean` `readFrom(ByteBuffer buf, MessageReader reader)` Reads this message from provided byte buffer.
`String` `toString()`
`boolean` `writeTo(ByteBuffer buf, MessageWriter writer)` Writes this message to provided byte buffer.

### Methods inherited from class org.apache.ignite.internal.processors.cache.distributed.GridDistributedTxFinishResponse

`futureId, xid`

### Methods inherited from class org.apache.ignite.internal.processors.cache.GridCacheMessage

`allowForStartup, cacheId, cacheId, classError, deployInfo, finishUnmarshal, finishUnmarshalCacheObjects, finishUnmarshalCacheObjects, ignoreClassErrors, lookupIndex, marshalCollection, marshalInfo, marshalInfos, marshalInvokeArguments, marshalTx, messageId, nextIndexId, onClassError, partitionExchangeMessage, prepare, prepareMarshal, prepareMarshalCacheObjects, prepareMarshalCacheObjects, prepareObject, topologyVersion, transferExpiryPolicy, unmarshalCollection, unmarshalInfo, unmarshalInfos, unmarshalInvokeArguments, unmarshalTx`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridDhtTxFinishResponse

    public GridDhtTxFinishResponse()

Empty constructor required by `Externalizable`.

#### GridDhtTxFinishResponse

    public GridDhtTxFinishResponse(GridCacheVersion xid,
                           IgniteUuid futId,
                           IgniteUuid miniId)

Parameters:
  `xid` - Xid version.
  `futId` - Future ID.
  `miniId` - Mini future ID.

### Method Detail

#### miniId

    public IgniteUuid miniId()

Returns:
  Mini future ID.

#### toString

    public String toString()

Overrides:
  `toString` in class `GridDistributedTxFinishResponse`

#### writeTo

    public boolean writeTo(ByteBuffer buf,
                  MessageWriter writer)

Writes this message to provided byte buffer.

Specified by:
  `writeTo` in interface `Message`
Overrides:
  `writeTo` in class `GridDistributedTxFinishResponse`
Parameters:
  `buf` - Byte buffer.
  `writer` - Writer.
Returns:
  Whether message was fully written.

#### readFrom

    public boolean readFrom(ByteBuffer buf,
                   MessageReader reader)

Reads this message from provided byte buffer.

Specified by:
  `readFrom` in interface `Message`
Overrides:
  `readFrom` in class `GridDistributedTxFinishResponse`
Parameters:
  `buf` - Byte buffer.
  `reader` - Reader.
Returns:
  Whether message was fully read.

#### directType

    public byte directType()

Gets message type.

Specified by:
  `directType` in interface `Message`
Overrides:
  `directType` in class `GridDistributedTxFinishResponse`
Returns:
  Message type.

#### fieldsCount

    public byte fieldsCount()

Gets fields count.

Specified by:
  `fieldsCount` in interface `Message`
Overrides:
  `fieldsCount` in class `GridDistributedTxFinishResponse`
Returns:
  Fields count.

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.2.0-incubating
Release Date | : June 16 2015